<?php
class Hml_CacheManager {
    private $cacheDirectory;
    private $sizeLimit = 2048;

    public function __construct() {
        $this->cacheDirectory = dirname(__FILE__) . "/Temp/Cache";
    }

    public function __destruct() {
        // 
    }


    public function requestTimestamp($uriQuery) {
        if (file_exists($this->makeFileName($uriQuery))) {
            return filemtime($this->makeFileName($uriQuery));
        } else {
            return FALSE;
        }
    }


    public function loadCache($uriQuery) {
        if (file_exists($this->makeFileName($uriQuery))) {
            $sdf = new DomDocument();
            $sdf->load($this->makeFileName($uriQuery));
            return $sdf;
        } else {
            throw new Exception("Cache Not Exist. Use requestTimestamp() to check existences of the caches.");
        }
    }


    public function saveCache($uriQuery, $sdf) {
        //$sdf->save($this->makeFileName($uriQuery));
        @chmod($this->makeFileName($uriQuery), 0666);
    }


    public function makeFileName($uriQuery) {
        return $this->cacheDirectory . "/" . md5($uriQuery);
    }
}
?>