<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
                              xmlns:xh="http://www.w3.org/1999/xhtml"
                              xmlns="http://www.w3.org/1999/xhtml"
                              xmlns:i="http://www.arielworks.net/works/codeyard/xmb"
                              xmlns:sdf="http://www.arielworks.net/works/codeyard/sdf"
                              xmlns:s3="http://www.arielworks.net/works/codeyard/sdf/s3"
                              xmlns:hml="http://www.arielworks.net/works/codeyard/himmel"
                              xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
                              xmlns:dc="http://purl.org/dc/elements/1.1/"
                              xmlns:dcterms="http://purl.org/dc/terms/"
                              exclude-result-prefixes="i">

<xsl:template match="/i:item">
    <sdf:section xml:lang="ja">
        <sdf:meta>
            <dc:title><xsl:value-of select="./dc:title"/></dc:title>
            <dcterms:created xsi:type="dcterms:W3CDTF"><xsl:value-of select="./dcterms:created"/></dcterms:created>
            <dcterms:modified xsi:type="dcterms:W3CDTF"><xsl:value-of select="./dcterms:created"/></dcterms:modified>
        </sdf:meta>
        <sdf:body>
            <xsl:copy-of select="./i:body/node()"/>
        </sdf:body>
    </sdf:section>
</xsl:template>

</xsl:stylesheet>